Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainTransitRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainSimpleRequest
              de.knipp.rritoolkit.request.DomainTransitRequest

    public class DomainTransitRequest

extends DomainSimpleRequest

class that represents a domain transit request

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private boolean` | `disconnect` flag whether the domain shall be disconnected

Constructor Summary
`DomainTransitRequest()` constructor
`DomainTransitRequest(java.lang.String theDomainName)` constructor
`DomainTransitRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` constructor
`DomainTransitRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, boolean disconnectDomain)` constructor

Method Summary
`protected void` | `addAttributes(XmlBuilder xb)` allow the addition of attributes to the request.
`boolean` | `disconnect()` return whether the domain shall be disconnected or not
`DomainTransitResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`protected java.lang.String` | `getRequestElementName()` return the XML element name
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`void` | `setDisconnect(boolean disconnectDomain)` set whether the domain shall be disconnected or not
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.DomainSimpleRequest
`getDomainName, getEncodedDomainName, requestToXml, setDomainName, setDomainName`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### disconnect

    private boolean disconnect

  flag whether the domain shall be disconnected

Constructor Detail

### DomainTransitRequest

    public DomainTransitRequest()

  constructor

### DomainTransitRequest

    public DomainTransitRequest(java.lang.String theDomainName,
                                java.lang.String theEncodedDomainName,
                                boolean disconnectDomain)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `disconnectDomain` - if `true` the domain is disconnected on execution

### DomainTransitRequest

    public DomainTransitRequest(java.lang.String theDomainName,
                                java.lang.String theEncodedDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains

### DomainTransitRequest

    public DomainTransitRequest(java.lang.String theDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name

Method Detail

### execute

    public DomainTransitResponse execute(Port port)
                                  throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainSimpleRequest`
  Returns:
    the element name

### addAttributes

    protected void addAttributes(XmlBuilder xb)
                          throws org.w3c.dom.DOMException,
                                 EncodeException

  allow the addition of attributes to the request. The default implementation is empty and should not be called by implementing subclasses

  Overrides:
    `addAttributes` in class `DomainSimpleRequest`
  Parameters:
    `xb` - the XML builder
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Overrides:
    `requestToKVList` in class `DomainSimpleRequest`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `DomainSimpleRequest`
  Returns:
    the representation

### disconnect

    public boolean disconnect()

  return whether the domain shall be disconnected or not

  Returns:
    `true` if the domain shall be disconnected

### setDisconnect

    public void setDisconnect(boolean disconnectDomain)

  set whether the domain shall be disconnected or not

  Parameters:
    `disconnectDomain` - `true` if the domain shall be disconnected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH